Ubuntu

karmic: wakeups <kernel core> : hrtimer_start_range_ns (tick_sched_timer)

Reported by Andrew M on 2009-05-07
302
This bug affects 45 people
Affects Status Importance Assigned to Milestone
Linux
Incomplete
Medium
linux-2.6 (Debian)
Fix Released
Unknown
linux (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by SteBo
Nominated for Lucid by Andrew M
powertop (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by SteBo
Nominated for Lucid by Andrew M

Bug Description

Powertop reports a high number of wake ups attributed to
hrtimer_start_range_ns.

This occurs with the 2.6.28-11 kernel through to 2.6.30-020630rc4-generic #020630rc4

#uname -a
Linux portland 2.6.30-020630rc4-generic #020630rc4 SMP Fri May 1 09:06:03 UTC 2009 i686 GNU/Linux

Not sure if it makes much difference but i'm currently using UXA graphics accel.

root@portland:~# lsb_release -rd
Description: Ubuntu 9.04
Release: 9.04

root@portland:~# powertop
PowerTOP 1.11 (C) 2007, 2008 Intel Corporation

Collecting data for 5 seconds

Your CPU supports the following C-states : C1 C2 C3 C4 C5 C6
Your BIOS reports the following C-states : C1 C2 C6
root@portland:~# powertop -d
PowerTOP 1.11 (C) 2007, 2008 Intel Corporation

Collecting data for 15 seconds

Your CPU supports the following C-states : C1 C2 C3 C4 C5 C6
Your BIOS reports the following C-states : C1 C2 C6
Cn Avg residency
C0 (cpu running) ( 5.5%)
polling 0.0ms ( 0.0%)
C1 mwait 0.0ms ( 0.0%)
C2 mwait 0.2ms ( 0.1%)
C6 mwait 8.2ms (94.4%)
P-states (frequencies)
  2.27 Ghz 3.0%
  2.27 Ghz 0.5%
  1.60 Ghz 1.3%
   800 Mhz 95.2%
Wakeups-from-idle per second : 119.1 interval: 15.0s
Power usage (ACPI estimate): 10.6W (2.0 hours)
Top causes for wakeups:
  35.2% ( 66.3) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  16.1% ( 30.4) <kernel IPI> : Rescheduling interrupts
  15.4% ( 29.0) <interrupt> : PS/2 keyboard/mouse/touchpad
  10.4% ( 19.7) <interrupt> : iwlagn
   8.3% ( 15.7) <interrupt> : extra timer interrupt
   3.3% ( 6.2) konqueror : hrtimer_start_range_ns (hrtimer_wakeup)
   1.7% ( 3.3) knotify4 : hrtimer_start_range_ns (hrtimer_wakeup)
   1.5% ( 2.9) <interrupt> : i915@pci:0000:00:02.0
   1.2% ( 2.3) <kernel core> : hrtimer_start (tick_sched_timer)
   1.1% ( 2.0) mysqld : hrtimer_start_range_ns (hrtimer_wakeup)
   1.0% ( 1.9) plasma : hrtimer_start_range_ns (hrtimer_wakeup)
   0.6% ( 1.2) kwin : hrtimer_start_range_ns (hrtimer_wakeup)
   0.5% ( 1.0) apache2 : hrtimer_start_range_ns (hrtimer_wakeup)
   0.5% ( 1.0) klipper : hrtimer_start_range_ns (hrtimer_wakeup)
   0.5% ( 0.9) <interrupt> : ahci
   0.4% ( 0.8) Xorg : hrtimer_start (it_real_fn)
   0.4% ( 0.7) Xorg : queue_delayed_work (delayed_work_timer_fn)
   0.3% ( 0.6) <kernel core> : add_timer (neigh_periodic_timer)
   0.2% ( 0.3) NetworkManager : hrtimer_start_range_ns (hrtimer_wakeup)
   0.1% ( 0.3) kded4 : hrtimer_start_range_ns (hrtimer_wakeup)
   0.1% ( 0.3) pdflush : queue_delayed_work (delayed_work_timer_fn)
   0.1% ( 0.2) guidance-power- : hrtimer_start_range_ns (hrtimer_wakeup)
   0.1% ( 0.2) krunner : hrtimer_start_range_ns (hrtimer_wakeup)
   0.1% ( 0.2) phy0 : ieee80211_authenticate (ieee80211_sta_timer)
   0.1% ( 0.1) konsole : hrtimer_start_range_ns (hrtimer_wakeup)
   0.1% ( 0.1) Xorg : hrtimer_start_range_ns (hrtimer_wakeup)
   0.1% ( 0.1) <kernel core> : inet_twsk_schedule (inet_twdr_hangman)
   0.1% ( 0.1) <kernel module> : add_timer (sta_info_cleanup)
   0.1% ( 0.1) kio_http : sk_reset_timer (tcp_write_timer)
   0.0% ( 0.1) <kernel IPI> : TLB shootdowns
   0.0% ( 0.1) pulseaudio : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 0.1) gconfd-2 : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 0.1) <kernel core> : page_writeback_init (wb_timer_fn)
   0.0% ( 0.1) <kernel core> : start_rt_bandwidth (sched_rt_period_timer)
   0.0% ( 0.1) ssh-agent : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 0.1) irqbalance : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 0.1) <kernel core> : laptop_io_completion (laptop_timer_fn)
   0.0% ( 0.1) python : hrtimer_start_range_ns (hrtimer_wakeup)
   0.0% ( 0.1) cupsd : ep_poll (process_timeout)

Recent USB suspend statistics
Active Device name
  0.0% USB device usb8 : UHCI Host Controller (Linux 2.6.30-020630rc4-generic uhci_hcd)
  0.0% USB device usb7 : UHCI Host Controller (Linux 2.6.30-020630rc4-generic uhci_hcd)
  0.0% USB device usb6 : UHCI Host Controller (Linux 2.6.30-020630rc4-generic uhci_hcd)
  0.0% USB device usb5 : UHCI Host Controller (Linux 2.6.30-020630rc4-generic uhci_hcd)
  0.0% USB device usb4 : UHCI Host Controller (Linux 2.6.30-020630rc4-generic uhci_hcd)
  0.0% USB device usb3 : UHCI Host Controller (Linux 2.6.30-020630rc4-generic uhci_hcd)
  0.0% USB device usb2 : EHCI Host Controller (Linux 2.6.30-020630rc4-generic ehci_hcd)
  0.0% USB device usb1 : EHCI Host Controller (Linux 2.6.30-020630rc4-generic ehci_hcd)

root@portland:~# lspci -vvv
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
        Subsystem: Lenovo Device 20e0
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
        Latency: 0
        Capabilities: [e0] Vendor Specific Information <?>
        Kernel driver in use: agpgart-intel
        Kernel modules: intel-agp

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
        Subsystem: Lenovo Device 20e4
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 29
        Region 0: Memory at f2000000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at 1800 [size=8]
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
                Address: fee0100c Data: 41b1
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
        Subsystem: Lenovo Device 20e4
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Region 0: Memory at f2400000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:03.0 Communication controller: Intel Corporation Mobile 4 Series Chipset MEI Controller (rev 07)
        Subsystem: Lenovo Device 20e6
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at f2826800 (64-bit, non-prefetchable) [size=16]
        Capabilities: [50] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [8c] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000 Data: 0000

00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
        Subsystem: Lenovo Device 20ee
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 27
        Region 0: Memory at f2600000 (32-bit, non-prefetchable) [size=128K]
        Region 1: Memory at f2625000 (32-bit, non-prefetchable) [size=4K]
        Region 2: I/O ports at 1840 [size=32]
        Capabilities: [c8] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
                Address: 00000000fee0100c Data: 41c1
        Capabilities: [e0] PCIe advanced features <?>
        Kernel driver in use: e1000e
        Kernel modules: e1000e

00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
        Subsystem: Lenovo Device 20f0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 20
        Region 4: I/O ports at 1860 [size=32]
        Capabilities: [50] PCIe advanced features <?>
        Kernel driver in use: uhci_hcd

00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
        Subsystem: Lenovo Device 20f0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 21
        Region 4: I/O ports at 1880 [size=32]
        Capabilities: [50] PCIe advanced features <?>
        Kernel driver in use: uhci_hcd

00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
        Subsystem: Lenovo Device 20f0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin C routed to IRQ 22
        Region 4: I/O ports at 18a0 [size=32]
        Capabilities: [50] PCIe advanced features <?>
        Kernel driver in use: uhci_hcd

00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03) (prog-if 20)
        Subsystem: Lenovo Device 20f1
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin D routed to IRQ 23
        Region 0: Memory at f2826c00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [58] Debug port: BAR=1 offset=00a0
        Capabilities: [98] PCIe advanced features <?>
        Kernel driver in use: ehci_hcd

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
        Subsystem: Lenovo Device 20f2
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin B routed to IRQ 17
        Region 0: Memory at f2620000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
                        ExtTag- RBE- FLReset+
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
                LnkCap: Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
                        ClockPM- Suprise- LLActRep- BwNot-
                LnkCtl: ASPM Disabled; Disabled- Retrain- CommClk-
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
        Capabilities: [100] Virtual Channel <?>
        Capabilities: [130] Root Complex Link <?>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 0000f000-00000fff
        Memory behind bridge: fff00000-000fffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
                        ExtTag- RBE+ FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
                LnkCap: Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
                        ClockPM- Suprise- LLActRep+ BwNot-
                LnkCtl: ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
                SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
                        Slot # 0, PowerLimit 6.500000; Interlock- NoCompl-
                SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet+ CmdCplt+ HPIrq+ LinkChg-
                        Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
                SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
                        Changed: MRL- PresDet- LinkState-
                RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
                RootCap: CRSVisible-
                RootSta: PME ReqID 0000, PMEStatus- PMEPending-
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
                Address: fee0300c Data: 4159
        Capabilities: [90] Subsystem: Lenovo Device 20f3
        Capabilities: [a0] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [100] Virtual Channel <?>
        Capabilities: [180] Root Complex Link <?>
        Kernel driver in use: pcieport-driver
        Kernel modules: shpchp

00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 0000f000-00000fff
        Memory behind bridge: f2500000-f25fffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: [40] Express (v1) Root Port (Slot+), MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
                        ExtTag- RBE+ FLReset-
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
                LnkCap: Port #2, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <256ns, L1 <4us
                        ClockPM- Suprise- LLActRep+ BwNot-
                LnkCtl: ASPM L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
                SltCap: AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surpise+
                        Slot # 1, PowerLimit 6.500000; Interlock- NoCompl-
                SltCtl: Enable: AttnBtn- PwrFlt- MRL- PresDet+ CmdCplt+ HPIrq+ LinkChg-
                        Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
                SltSta: Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
                        Changed: MRL- PresDet- LinkState+
                RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
                RootCap: CRSVisible-
                RootSta: PME ReqID 0000, PMEStatus- PMEPending-
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0 Enable+
                Address: fee0300c Data: 4161
        Capabilities: [90] Subsystem: Lenovo Device 20f3
        Capabilities: [a0] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [100] Virtual Channel <?>
        Capabilities: [180] Root Complex Link <?>
        Kernel driver in use: pcieport-driver
        Kernel modules: shpchp

00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
        Subsystem: Lenovo Device 20f0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 16
        Region 4: I/O ports at 18c0 [size=32]
        Capabilities: [50] PCIe advanced features <?>
        Kernel driver in use: uhci_hcd

00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
        Subsystem: Lenovo Device 20f0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 17
        Region 4: I/O ports at 18e0 [size=32]
        Capabilities: [50] PCIe advanced features <?>
        Kernel driver in use: uhci_hcd

00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
        Subsystem: Lenovo Device 20f0
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin C routed to IRQ 18
        Region 4: I/O ports at 1c00 [size=32]
        Capabilities: [50] PCIe advanced features <?>
        Kernel driver in use: uhci_hcd

00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03) (prog-if 20)
        Subsystem: Lenovo Device 20f1
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin D routed to IRQ 19
        Region 0: Memory at f2827000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [58] Debug port: BAR=1 offset=00a0
        Capabilities: [98] PCIe advanced features <?>
        Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93) (prog-if 01)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Bus: primary=00, secondary=0d, subordinate=0d, sec-latency=0
        I/O behind bridge: 0000f000-00000fff
        Memory behind bridge: fff00000-000fffff
        Prefetchable memory behind bridge: 00000000fff00000-00000000000fffff
        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
                PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
        Capabilities: [50] Subsystem: Lenovo Device 20f4

00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
        Subsystem: Lenovo Device 20f5
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Capabilities: [e0] Vendor Specific Information <?>
        Kernel modules: iTCO_wdt

00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03) (prog-if 01)
        Subsystem: Lenovo Device 20f8
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin B routed to IRQ 26
        Region 0: I/O ports at 1c48 [size=8]
        Region 1: I/O ports at 183c [size=4]
        Region 2: I/O ports at 1c40 [size=8]
        Region 3: I/O ports at 1838 [size=4]
        Region 4: I/O ports at 1c20 [size=32]
        Region 5: Memory at f2826000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/4 Enable+
                Address: fee0300c Data: 4171
        Capabilities: [70] Power Management version 3
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [a8] SATA HBA <?>
        Capabilities: [b0] PCIe advanced features <?>
        Kernel driver in use: ahci

00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
        Subsystem: Lenovo Device 20f9
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at f2827400 (64-bit, non-prefetchable) [size=256]
        Region 4: I/O ports at 1c60 [size=32]
        Kernel modules: i2c-i801

03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
        Subsystem: Intel Corporation Device 1211
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 28
        Region 0: Memory at f2500000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable+
                Address: 00000000fee0300c Data: 41a9
        Capabilities: [e0] Express (v1) Endpoint, MSI 00
                DevCap: MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
                        ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
                DevCtl: Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
                        RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
                        MaxPayload 128 bytes, MaxReadReq 128 bytes
                DevSta: CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
                LnkCap: Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <128ns, L1 <32us
                        ClockPM+ Suprise- LLActRep- BwNot-
                LnkCtl: ASPM L0s L1 Enabled; RCB 64 bytes Disabled- Retrain- CommClk+
                        ExtSynch- ClockPM+ AutWidDis- BWInt- AutBWInt-
                LnkSta: Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
        Capabilities: [100] Advanced Error Reporting <?>
        Capabilities: [140] Device Serial Number 26-94-a9-ff-ff-5d-21-00
        Kernel driver in use: iwlagn
        Kernel modules: iwlagn

Andrew Mason (slackmase2) wrote :

Bug #380303 may or may not be also related.

Andrew Mason (slackmase2) wrote :

I did see this and was under the impression this was merged by Linus in 2.6.30-rc7. Is this not the case ? Should I try to apply this patch manually ?

Many thanks
Andrew

Andy Whitcroft (apw) wrote :

That specific commit was merged in 2.6.30-rc4 and so should be in karmic kernels.

Andy Whitcroft (apw) wrote :

This is not a bug in the linux-meta package, moving to the linux package.

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Andrew Mason (slackmase2) wrote :

Yep, I talked to Matthew and it should definitely be in 2.6.30-rc7 in karmic which is the kernel that I tested with. So either it's not the issue which was addressed with that patch or the patch has not completely resolved the issue.

Andrew Mason (slackmase2) wrote :

Sorry my mistake , it's not the kernel that I filed the report with, however it _is_ still present in 2.6.30-rc7.

lowtraxx (oliver-pahl) wrote :

Hello,

i am seeing the same behaviour, hrtimer_start_range_ns causes more than 2000 wakups:

  87.4% (2002.0) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
   7.6% (174.2) <interrupt> : ahci
   1.3% ( 30.2) <interrupt> : iwlagn
   1.2% ( 27.2) <interrupt> : acpi
   0.7% ( 15.8) <kernel IPI> : Rescheduling interrupts
   0.6% ( 13.8) firefox : hrtimer_start_range_ns (hrtimer_wakeup)
   0.2% ( 5.4) thunderbird-bin : hrtimer_start_range_ns (hrtimer_wakeup)
   0.2% ( 3.8) plasma : hrtimer_start_range_ns (hrtimer_wakeup)
   0.1% ( 3.0) <interrupt> : i915

This happens with kernels 2.6.29.4 - 2.6.30-rc7-git1. If you need more Info, tell me, i am happy to provide if i can.

Is there any thoughts / progress on this ? Do the developers need more information ? If so how can we help ?
Willing to help in any way possible.

This is still present in 2.6.31-33 in Karmic

firespeaker (firespeaker) wrote :

On 2.6.30.1, in powertop I get e.g.
30.0% (261.0) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)

Jeff Utter (jeffutter) wrote :

Still there on 2.6.31-6 Karmic. This bug cuts my netbook battery in half.

pranith (bobby-prani) wrote :

Important for karmic. I guess this bug should be given high priority.

I guess it really depends on how important battery life of notebooks is for this release. I would anticipate that with the push on net books and laptops it would be reasonably important.

The battery life has been slowly getting better since Hardy but it still does make a significant difference.

Jeff Utter (jeffutter) wrote :

I think part of the problem here is it seems to be a regression. I know; for me at-least, when i was running Jaunty on my netbook i was seeing 6-7hr battery life. After upgrading to Karmic (with this bug present) I'm seeing 4.5-5hr battery. Ideally I think we should be on-par with; or better than, windows on any given hardware. Jaunty was pretty close, I think with windows i was getting about 7hrs.

I don't think i have ever gotten anywhere close to that especially
with Jaunty. 2.6.30 was probably the best kernel for the X200.

On Thu, Aug 27, 2009 at 11:50 PM, Jeff Utter<email address hidden> wrote:
> I think part of the problem here is it seems to be a regression. I know;
> for me at-least, when i was running Jaunty on my netbook i was seeing
> 6-7hr battery life. After upgrading to Karmic (with this bug present)
> I'm seeing 4.5-5hr battery. Ideally I think we should be on-par with; or
> better than, windows on any given hardware. Jaunty was pretty close, I
> think with windows i was getting about 7hrs.
>
> --
> wakeups  <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
> https://bugs.launchpad.net/bugs/373245
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Is everyone who is seeing this issue using an Intel graphics device and using UXA?

I'm using Jaunty, with a 2.6.30 kernel (from the kernelteam PPA) and X and Intel drivers from the xorg-updates PPA. (xserver-xorg-video-intel=2.7.1). I also appear to see this issue (many interrupts) as described by the OP. Because I am using 2.7.1, I'm able to switch back to EXA; the extraneous interrupts disappear and in particular I get normal battery life again.

I believe the xorg-video-intel 2.8 driver in Karmic still supports XAA (EXA support has been removed). Could those affected try XAA (yes, the performance will be terrible) and report whether the extraneous interrupts exist?

For this bug to be fixed, it's extremely important to keep it on-topic. In particular, limiting discussion to configuration similar to the reporter (Intel graphics & UXA). Political discussions (e.g. what Ubuntu's priorities are, whether this bug is important, etc) should also be done elsewhere.

gdi2k (gdi2k) wrote :

Thanks Samat, I would like to try this, but please could you clarify how to enable XAA support? I've tried using
Option "AccelMethod" "xaa"
in my xorg.conf, but it seems to make no difference - the logs still show:
(II) UXA(0): Driver registered support for the following operations:
(II) solid
(II) copy
(II) composite (RENDER acceleration)
and there is no mention of XAA in the logs.

I'm on a Lenovo x200 using Jaunty with kernel 2.6.31-020631rc7-generic from the kernelteam PPA and Intel driver 2.80 from
https://launchpad.net/~morgwai/+archive/jaunty-backports

gdi2k (gdi2k) wrote :

Sorry, just seen that XAA and EXA have been removed from Intel's 2.80 driver. From the release notes:

The driver now depends on X server 1.6 or later,
and eliminates several obsolete code paths, (XAA and EXA removed in
favor of UXA, DRI1 support eliminated).

http://lists.freedesktop.org/archives/xorg/2009-July/046534.html

I did some testing with UXA and EXA (Not XAA) during jaunty with it's kernels and .30 and it was still present. If it's in intel driver issue then it's present in both EXA and UXA. UXA is currently the only supported option with 2.8 afaik.

Andrew

Jim Bauwens (jimbauwens) wrote :

Hello, this bug also affects me.
I'm running Jaunty with kernel 2.6.30-5candela on an Acer Aspire One.
According to xorg.log i'm using EXA.
If you need me to try anything I'm willing to do it.

Jim

I have the same problem with karmic.

summary: - wakeups <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
+ karmic: wakeups <kernel core> : hrtimer_start_range_ns
+ (tick_sched_timer)
lrvk (marktuvig) wrote :

I, too, have same bug. I am using UXA and

lrvk (marktuvig) wrote :

kernel 2.6.31-13-generic

Present in ubuntu mainline kernel 2.6.31-02063101-generic
Using nVidia proprietary drivers, HP dv6500 laptop.

Top causes for wakeups:
  43.2% (292.9) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  29.5% (200.1) <interrupt> : extra timer interrupt

lrvk (marktuvig) wrote :

The number of wakeups is dependent on HT, when disabling Atom N280 hyperthreading, the number of hrtimer_start_range_ns (sched_timer) wakeups falls 4-fold (from 60 - 15 per second) therefore it might be
inefficient scheduling for Atom hyperthreading in linux kernel.

lrvk (marktuvig) wrote :

If users here are looking for a work-around you can try to disable the hyperthreading in your Atom based laptop and report back if this helped

monogo (jenswalther) wrote :

Yes, disabling hyperthreading fixed it on my Atom-machine. Thank you so far!

That's interesting - what about affected users with CPUs that don't support
HyperThreading? My Lenovo X200 has an Intel P8600 which does not support HT:

http://ark.intel.com/Product.aspx?id=35568

I am consistently seeing hrtimer_start_range_ns wake-ups in the 100 - 150
per second range.

Ubuntu Jaunty
Kernel: 2.6.31-02063103-generic (from the Kernel PPA)
Intel Xorg driver 2.8.0

On Thu, Oct 15, 2009 at 3:37 PM, monogo <email address hidden>wrote:

> Yes, disabling hyperthreading fixed it on my Atom-machine. Thank you so
> far!
>
> --
> karmic: wakeups <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
> https://bugs.launchpad.net/bugs/373245
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jeff Utter (jeffutter) wrote :

My Laptop Toshiba NB205 has a N280 CPU but no bios option to disable hyper threading. I hope this issue can get fixed instead of having this as a workaround.

lrvk (marktuvig) wrote :

Reported to bugzilla.kernel.org as bug #14424.

The bug exists also with mainline vanilla kernel 2.6.32-999-generic #200910171000 SMP Sat Oct 17 09:56:20 UTC 2009 i686 GNU/Linux.

Please help to solve this by commenting at http://bugzilla.kernel.org/show_bug.cgi?id=14424, especially if you have different hardware. (EEE 1008ha here).

I am not sure if this is processor-specific.

firespeaker (firespeaker) wrote :

I disabled hyperthreading in my 2.6.31 kernel on my N270 and still get around 200 wakeups per second (usually anywhere from 100 to 300) from "hrtimer_start_range_ns (tick_sched_timer)".

lrvk (marktuvig) wrote :

firespeaker: did you disable it in kernel? It was solved for me when I disabled it in BIOS.

This does seem to be SMP related. I disabled one of my cores on the X200 and dramatically reduced the number of wakeups. I can get down to around 7.3 watts now which is fantastic.

lrvk (marktuvig) wrote :

I found that the problem disappeared when I removed the Mono applications/libraries, Ubuntuone, couchDB

And I am not running saned, rsync, speech-dispatcher in /etc/rc2.d/ (CouchDB is uninstalled now)

I still do not know which of these caused the problem.

Anyway, the battery time is now over 6 1/2 hours when full (more than Windows XP), and the wakeups are about 26 / sec

Andrew Mason (slackmase2) wrote :

I don't have mono or couchdb or ubuntuone installed but was still
experiencing the problem. With only 1 cpu enabled (in the bios) and my
wifi turned off i was able to sigificantly reduce the wake ups.

On Sat, Oct 24, 2009 at 3:33 PM, luarvik1 <email address hidden> wrote:
> I found that the problem disappeared when I removed the Mono
> applications/libraries, Ubuntuone, couchDB
>
> And I am not running saned, rsync, speech-dispatcher in /etc/rc2.d/
> (CouchDB is uninstalled now)
>
> I still do not know which of these caused the problem.
>
> Anyway, the battery time is now over 6 1/2 hours when full (more than
> Windows XP), and the wakeups are about 26 / sec
>
> --
> karmic: wakeups  <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
> https://bugs.launchpad.net/bugs/373245
> You received this bug notification because you are a direct subscriber
> of the bug.
>

bkrzem (bkrzem) wrote :

It is somewhat dissapointing that this bug seems to get little attention from the kernel devs so far.. I'm affected too, ubuntu 9.10 with stock kernel on toshiba nb 200

Tom Boshoven (tomboshoven) wrote :

Same problem here. (Karmic, Linux 2.6.31-15)
Lenovo T60p.
Seems SMP related.

I think it is really important this gets fixed.

vic_sarapin (victor-sarapin) wrote :

Again, same problem ThinkPad T60, Ubuntu 9.10, 2.6.31 kernel. Previous version/kernel behaved REALLY better

Luarvik (tuvikene) wrote :

Have you tried to uninstall Ubuntu One with Mono libraries, the problem is that Powertop does not show sometimes what causes the ticks other than kernel. For me, it was solved by removing clutter.

vic_sarapin (victor-sarapin) wrote :

With which libraries? Does it mean Ubuntu One is causing excessive power use just by fact it is present in the system?

description: updated
erikb (erikjbrouwer) wrote :

I have kernel 2.6.31-15 and have a sony vaio ns11m, I have the same problem

Sandino Flores (tigrux) wrote :

Same problem.
Using karmic with kernel 2.6.32-rc7 on a macbook pro 5,5

rob (rob-mussel) wrote :

kk 9.10, kernel 2.6.31-14 on an hp mini 311 netbook had this problem. Removing Ubuntu One client and related libraries seems to have solved it for me as well.

Tom Boshoven (tomboshoven) wrote :

Same here.
Removing Ubuntu One seems to solve it.
I suggest we change this into an Ubuntu One bug.

Luarvik (tuvikene) wrote :

I suspected it was the mono libraries. Did you also remove the Tomboy ~(which uses mono)?

Tom Boshoven (tomboshoven) wrote :

I did not remove Tomboy.
In fact, now I tested it, I can confirm the number of wakeups does not increase when I open it.

Leon (leonbo) wrote :

I'm having the same problem :(
Linux basil 2.6.31-15-generic #50-Ubuntu SMP Tue Nov 10 14:53:52 UTC 2009 x86_64 GNU/Linux
AMD 4850e
gigabyte ga-ma78gm-s2h motherboard

Andre Luebken (andre-luebken) wrote :

Removing just ubuntuone I'm down to 25-30 wakeups/s. Removing couchdb after that however does not bring any further improvement.

Marc MERLIN (marc-soft) wrote :

39.2% (527.6) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
on a thinkpad Z61p with
(--) RADEON(0): Chipset: "ATI Mobility FireGL V5200" (ChipID = 0x71c4)
on 2.6.31.6
I do not have ubuntuone or couchdb, but do have karmic.
if I turn off everything I can, I can only get down to 20W or so.

Pavel Malyshev (afunix) wrote :

Dell Inspirion 1520, Core2 Duo.
Kubuntu Karmic without ubuntuone, mono, couchdb, ...

Linux afbook 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 17:01:44 UTC 2009 x86_64 GNU/Linux

Top causes for wakeups:
  21,0% ( 37,5) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  13,3% ( 23,8) <interrupt> : extra timer interrupt
  13,0% ( 23,2) plasma-desktop : hrtimer_start_range_ns (hrtimer_wakeup)
   8,8% ( 15,7) konqueror : hrtimer_start_range_ns (hrtimer_wakeup)
   5,7% ( 10,2) <kernel IPI> : Rescheduling interrupts
   5,6% ( 10,0) <interrupt> : b43, eth0
   5,6% ( 10,0) skype : hrtimer_start_range_ns (hrtimer_wakeup)

There is also a lot of "extra timer interrupt" wakeups.
"tick_sched_timer" sometimes near 100 wakeups per second.

What happens if you turn off your wireless card ?

Do the wakeups reduce significantly ?

Marc MERLIN (marc-soft) wrote :

For what it's worth, my problems seemed to be due to the ATI chipset and open source driver (not that the ATI one is better). With the same distribution copied on a thinkpad W500 and using the intel chip instead of the ATI one, I get a much better:

  36.0% ( 55.0) <interrupt> : ahci, yenta, i915@pci:0000:00:02.0
  31.0% ( 47.3) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)

and can actually get consumption down to 11W or so, which is amazing for a big desktop replacement dual core duo with 1920x1200

I am also affected by this bug on my Dell Inspiron 640m.

Top causes for wakeups:
  31.4% (170.9) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  23.5% (128.2) firefox : hrtimer_start_range_ns (hrtimer_wakeup)
  17.1% ( 93.1) <interrupt> : extra timer interrupt
  12.4% ( 67.3) <kernel IPI> : Rescheduling interrupts
   3.7% ( 20.1) xfce4-panel : hrtimer_start_range_ns (hrtimer_wakeup)
   2.0% ( 11.1) postgres : hrtimer_start_range_ns (hrtimer_wakeup)

Theodor B. (tbr-bluemail) wrote :

Thinkpad X40 also shows surprisingly many wakeups:

Top causes for wakeups:
  35.7% (205.3) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)

firespeaker (firespeaker) wrote :

Both removing the wifi driver and disabling compositing seem not to change anything significantly.

Top causes for wakeups:
  38.1% (140.4) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  17.6% ( 64.8) <interrupt> : PS/2 keyboard/mouse/touchpad
  11.0% ( 40.4) <interrupt> : ehci_hcd:usb1, uhci_hcd:usb2, HDA Intel, i91
   6.3% ( 23.2) <kernel IPI> : Rescheduling interrupts
   4.7% ( 17.3) chrome : schedule_timeout (process_timeout)
   4.1% ( 15.1) <interrupt> : ahci

firespeaker (firespeaker) wrote :

luarvik1: yes, I disabled hyperthreading in the kernel only. How did you disable it in the BIOS?

Paul Oosterhoff (p-oosterhoff) wrote :

firespeaker: can you explain how you disabled hyperthreading in de kernel. It isn't clear to me how you do that.

firespeaker (firespeaker) wrote :

I disabled the CONFIG_SCHED_SMT option in my kernel's .config and recompiled, installed, and rebooted.

It's possible this is the wrong option, so let me know if I should be looking for something else.

Mark Greenwood (fatgerman) wrote :

Same problem here, Sony VAIO laptop with Intel Core II Duo, NVIDIA graphics (so this isn't Intel graphics related).

I'm lucky to get 45 minutes battery life, compared to 3 hours under Windows.

Top causes for wakeups:
  21.5% ( 63.2) <kernel IPI> : Rescheduling interrupts
  21.0% ( 61.7) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  20.6% ( 60.6) <interrupt> : nvidia
  10.2% ( 30.1) firefox : hrtimer_start_range_ns (hrtimer_wakeup)
   5.8% ( 17.1) <interrupt> : extra timer interrupt
   4.3% ( 12.7) <interrupt> : ehci_hcd:usb2, uhci_hcd:usb5
   4.3% ( 12.7) USB device 5-2 : Optical Mouse ( KYE )

(This was taken when running under mains power. Under battery power it is similar except nvidia drops off the list, so I doubt this is graphics card related at all).

uname -a
Linux hoss 2.6.31-18-generic #55-Ubuntu SMP Fri Jan 8 14:55:26 UTC 2010 i686 GNU/Linux

This is a serious problem. Battery life of 1/4 that under Windows is not acceptable.

micred (tict) wrote :

Mark Greenwood: you should try to tweak power saving of your video card and, secondarily device controlled by laptop-mode.conf.
I don't think that a few wakeups can waste 3/4 of the power of whole your system.

So should a mainline vanilla kernel have these issues then ?

Praetor77 (geramses) wrote :

Same thing on a Asus 1005HA. Don´t know enough to say if this bug is the cause but battery life of 4.5 hours versus 7 hours in Win XP is frustrating...

I am using 2.6.31-17-generic.

Praetor77 (geramses) wrote :

Cn Avg residency P-states (frequencies)
C0 (cpu running) (43.6%) 1.60 Ghz 0.0%
C0 0.0ms ( 0.0%) 1333 Mhz 0.0%
C1 mwait 0.0ms ( 0.0%) 1067 Mhz 0.0%
C2 mwait 1.4ms ( 2.2%) 800 Mhz 100.0%
C4 mwait 1.5ms (54.2%)

Wakeups-from-idle per second : 372.1 interval: 10.0s
Power usage (ACPI estimate): 9.1W (1.8 hours) (long term: 10.8W,/1.5h)

Top causes for wakeups:
  46.7% (314.0) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  12.8% ( 86.4) <kernel IPI> : Rescheduling interrupts
   9.8% ( 66.2) <interrupt> : ath
   8.5% ( 57.4) <interrupt> : PS/2 keyboard/mouse/touchpad
   4.3% ( 28.9) <interrupt> : ahci
   3.3% ( 22.5) deluge : hrtimer_start_range_ns (hrtimer_wakeup)

Changed in linux (Ubuntu):
status: New → Confirmed
Praetor77 (geramses) wrote :

Removed Ubuntu One, turned on laptop_mode, laptop_mode_tools, got following results (this is while running Firefox and Deluge, just as in the powertop results posted above):

Cn Avg residency P-states (frequencies)
C0 (cpu running) ( 7.7%) 1.60 Ghz 0.0%
polling 0.0ms ( 0.0%) 1333 Mhz 0.0%
C1 mwait 0.0ms ( 0.0%) 1067 Mhz 0.0%
C2 mwait 3.5ms ( 3.2%) 800 Mhz 100.0%
C4 mwait 2.1ms (89.1%)

Wakeups-from-idle per second : 433.1 interval: 10.0s
Power usage (ACPI estimate): 7.6W (1.9 hours) (long term: 8.6W,/1.7h)

Top causes for wakeups:
  24.3% ( 92.8) <interrupt> : ath
  21.5% ( 82.1) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  13.1% ( 50.0) <interrupt> : extra timer interrupt
   7.2% ( 27.4) <kernel IPI> : Rescheduling interrupts
   6.7% ( 25.7) deluge : hrtimer_start_range_ns (hrtimer_wakeup)
   5.3% ( 20.3) deluged : hrtimer_start_range_ns (hrtimer_wakeup)

soprano (soprano) wrote :

Same problem here with Karmic, kernel 2.6.31-20-generic. Battery life decreased to 30% of that in Jaunty (1h to 20 min.).

Top causes for wakeups:
  28.6% ( 44.7) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  13.6% ( 21.3) <interrupt> : extra timer interrupt
   8.1% ( 12.7) <interrupt> : ehci_hcd:usb2, uhci_hcd:usb3, uhci_hcd:usb5
   7.9% ( 12.3) firefox : hrtimer_start_range_ns (hrtimer_wakeup)
   7.9% ( 12.3) /sys/bus/usb/devices/2-1.1.1
   7.0% ( 11.0) <kernel core> : hrtimer_start (tick_sched_timer)
   6.8% ( 10.7) <kernel IPI> : Rescheduling interrupts

SergeiS (sergei-redleafsoft) wrote :

Same problem! VERY frustrating to see that in Karmic. I am on Samsung X460 and my battery life is not where it should be. I've disabled wireless and unloaded it's module but it did not make any difference.

Wakeups-from-idle per second : 403.2 interval: 10.0s
Power usage (ACPI estimate): 16.9W (3.7 hours) (long term: 19.4W,/3.2h)

Top causes for wakeups:
  24.3% (157.0) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  20.7% (133.7) <interrupt> : extra timer interrupt
  16.2% (104.7) exe : hrtimer_start_range_ns (hrtimer_wakeup)
   9.0% ( 57.9) <interrupt> : HDA Intel
   7.5% ( 48.5) pulseaudio : hrtimer_start_range_ns (hrtimer_wakeup)
   5.1% ( 33.2) <kernel IPI> : Rescheduling interrupts

Vaulter (vaulter) wrote :

Have the subj. issue:
but when in pure console mode, without X only 10-20 wakeups which is acceptable
start X with either NVidia drivers or VESA cause to 100-200 wakeups

  40,5% (173,6) <kernel IPI> : Rescheduling interrupts
  23,1% ( 99,1) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)

have core duo processor
looking for way to force X using only one core always. Maybe...

Sam Eichold (seichold) wrote :

This also applies to me

Top causes for wakeups:
  30.7% (223.6) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  14.8% (107.6) <kernel IPI> : Rescheduling interrupts
  10.5% ( 76.1) <interrupt> : extra timer interrupt
  10.4% ( 75.4) USB device 5-2 : USB Receiver (Logitech)
   7.8% ( 56.6) chromium-browse : hrtimer_start_range_ns (hrtimer_wakeup)
   7.4% ( 54.1) <interrupt> : ehci_hcd:usb2, uhci_hcd:usb3, uhci_hcd:usb5

I added the powertop package to this bug by mistake. Sorry for that.

Changed in powertop (Ubuntu):
status: New → Invalid
QBasicer (qbasicer) wrote :

For what it's worth, I see this in 2.6.32-gentoo-r8 as well.

meceso (meceso-gmx) wrote :

Also affecting fedora 13, 32bit, kernel 2.6.33.5-124, intel gma chipset...

Wakeups-from-idle per second : 714.1 interval: 10.0s

Top causes for wakeups:
  76.9% (473.4) <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
   7.5% ( 46.1) firefox : hrtimer_start_range_ns (hrtimer_wakeup)
   6.1% ( 37.7) <interrupt> : iwl3945
   4.4% ( 26.9) <interrupt> : ata_piix
   1.6% ( 10.0) nautilus : hrtimer_start_range_ns (hrtimer_wakeup)
   1.1% ( 6.5) <kernel core> : hrtimer_start (tick_sched_timer)

Sivabalan (siva886) wrote :

I am running Ubuntu 8.10 server edition with a custom 2.6.33.2 kernel on a HP Proliant DL360 G5 server (has a Xeon E5430). Even in this case the same problem occurs. In addition to hrtimer_start_range_ns there is also extra timer interrupts that contribute to most part of the wakeups, the total being around 500!!.

I am willing to try anything to get this cleared. As the server edition doesn't even have any gui, I am quite baffled at what might be causing this.

shapr (shae) wrote :

I just started having this same problem today, removing ubuntuone had no effect.
I'm using a ThinkPad x61 tablet with stock ubuntu lucid.

tags: added: kernel-core kernel-needs-review
Changed in linux-2.6 (Debian):
status: Unknown → Incomplete
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
importance: Unknown → Medium
shapr (shae) wrote :

I solved this problem on my ThinkPad X61t by shutting down and then removing external power and battery for half an hour.
It seems the firmware for the ethernet port gets into some stuck state and cannot be reset with warm boot or cold boot.
This problem has happened twice in sixteen months or so, no idea if it's related to the kernel.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Changed in linux:
status: Confirmed → Incomplete
Changed in linux-2.6 (Debian):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.